> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook by UUID

> Webhook get by uuid. Permissions ["customer"]



## OpenAPI

````yaml https://api.paylora.org/api-doc-json get /api/v1/webhook/{uuid}
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/webhook/{uuid}:
    get:
      tags:
        - Webhook
      summary: Get webhook by UUID
      description: Webhook get by uuid. Permissions ["customer"]
      operationId: WebhookController_findWebhookByUuid_v1
      parameters:
        - name: uuid
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Resource model
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ResourceDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/Webhook'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
      security:
        - JWT: []
components:
  schemas:
    ResourceDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
          description: Indicates if the request was successful
        data:
          type: object
          description: The data returned by the API
      required:
        - success
        - data
    Webhook:
      type: object
      properties:
        uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the webhook
        user_uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the user associated with the webhook
        url:
          type: string
          example: https://example.com/webhook
          description: The URL for the webhook
        secret:
          type: string
          example: strongsecret
          description: The secret for the webhook
      required:
        - uuid
        - user_uuid
        - url
        - secret
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````